package com.cr.widget

import android.content.Context
import android.util.AttributeSet
import android.view.View
import android.widget.LinearLayout

/**
 * 操作系统：MAC系统
 * 创建者：王成
 * 创建日期：2023/3/29 13:46
 * 描述：线性布局基础类
 */
open class CrLinearLayoutWidget@JvmOverloads constructor(
    context:Context,
    attrs: AttributeSet?=null,
    defStyleAttr: Int = 0
):LinearLayout(context,attrs,defStyleAttr) {
    // define: 2023/4/14 主视图
    protected var mainView:View ?= null
    /**
     * 初始化视图
     * @param layoutId Int 视图xml文件Id
     */
    fun initView(layoutId:Int){
        mainView = View.inflate(context,layoutId,this);
    }

    /**
     * 链接控件
     */
    open fun joinControls(){

    }

    /**
     * 初始化属性
     * @param attrs AttributeSet 属性管理器
     */
    open fun initProperty(attrs: AttributeSet){

    }
}